FIX::DataDictionary::MessageFieldsOrderHolder Struct Reference
Collaboration diagram for FIX::DataDictionary::MessageFieldsOrderHolder:
[legend]

## Public Member Functions

| MessageFieldsOrderHolder ()
| ~MessageFieldsOrderHolder ()
void | push_back (int field)
const message_order & | getMessageOrder () const

## Private Attributes

message_order | m_msgOrder
OrderedFields | m_orderedFlds

## Detailed Description

Definition at line 75 of file DataDictionary.h.

## Constructor & Destructor Documentation

## MessageFieldsOrderHolder()

FIX::DataDictionary::MessageFieldsOrderHolder::MessageFieldsOrderHolder | ( |  | ) |

inline

Definition at line 77 of file DataDictionary.h.

## ~MessageFieldsOrderHolder()

FIX::DataDictionary::MessageFieldsOrderHolder::~MessageFieldsOrderHolder | ( |  | ) |

inline

Definition at line 80 of file DataDictionary.h.

{}
*i = 0;

## Member Function Documentation

## getMessageOrder()

const message_order& FIX::DataDictionary::MessageFieldsOrderHolder::getMessageOrder | ( |  | ) | const

inline

Definition at line 88 of file DataDictionary.h.

:
mutable message_order m_msgOrder;
OrderedFields m_orderedFlds;
};
typedef std::map<std::string, MessageFieldsOrderHolder > MsgTypeToOrderedFields;
typedef message_order OrderedFieldsArray;
typedef std::map < int, TYPE::Type > FieldTypes;
typedef std::set < std::string > Values;
typedef std::map < int, Values > FieldToValue;
typedef std::map < int, std::string > FieldToName;
typedef std::map < std::string, int > NameToField;
typedef std::map < std::pair < int, std::string > , std::string > ValueToName;
// while FieldToGroup structure seems to be overcomplicated

## push_back()

void FIX::DataDictionary::MessageFieldsOrderHolder::push_back | ( | int | field | ) |

inline

Definition at line 83 of file DataDictionary.h.

:

## Member Data Documentation

## m_msgOrder

message_order FIX::DataDictionary::MessageFieldsOrderHolder::m_msgOrder

mutable private

Definition at line 108 of file DataDictionary.h.

## m_orderedFlds

OrderedFields FIX::DataDictionary::MessageFieldsOrderHolder::m_orderedFlds

private

Definition at line 109 of file DataDictionary.h.

The documentation for this struct was generated from the following file:

- DataDictionary.h

FIX::DataDictionary::FieldToValue
std::map< int, Values > FieldToValue
Definition: DataDictionary.h:117
FIX::DataDictionary::MessageFieldsOrderHolder::m_msgOrder
message_order m_msgOrder
Definition: DataDictionary.h:108
FIX::DataDictionary::OrderedFieldsArray
message_order OrderedFieldsArray
Definition: DataDictionary.h:114
FIX::DataDictionary::FieldToName
std::map< int, std::string > FieldToName
Definition: DataDictionary.h:118
FIX::DataDictionary::NameToField
std::map< std::string, int > NameToField
Definition: DataDictionary.h:119
FIX::DataDictionary::OrderedFields
std::vector< int > OrderedFields
Definition: DataDictionary.h:73
FIX::DataDictionary::MessageFieldsOrderHolder::m_orderedFlds
OrderedFields m_orderedFlds
Definition: DataDictionary.h:109
FIX::DataDictionary::Values
std::set< std::string > Values
Definition: DataDictionary.h:116
FIX::DataDictionary::ValueToName
std::map< std::pair< int, std::string >, std::string > ValueToName
Definition: DataDictionary.h:120
FIX::DataDictionary::MsgTypeToOrderedFields
std::map< std::string, MessageFieldsOrderHolder > MsgTypeToOrderedFields
Definition: DataDictionary.h:112
FIX::DataDictionary::FieldTypes
std::map< int, TYPE::Type > FieldTypes
Definition: DataDictionary.h:115